---
- name: Set machine timezone
  community.windows.win_timezone:
    timezone: "{{ item['timezone'] }}"
  with_items: "{{ win_resource_item | c2platform.core.resources }}"
  when:
    - win_resource_item is defined
    - win_resource_item['when'] | default(True)
  loop_control:
    label: "{{ item['timezone'] }}"
  delegate_to: "{{ item['delegate_to'] | default(omit) }}"
  tags:
    - win_timezone
